/* $Id: plugin_domtreeviewer.h,v 1.3 2001/10/29 16:32:14 hausmann Exp $ */

#ifndef __plugin_domtreeviewer_h
#define __plugin_domtreeviewer_h

#include <kparts/plugin.h>
#include <klibloader.h>

class KURL;

class PluginDomtreeviewer : public KParts::Plugin
{
  Q_OBJECT
public:
  PluginDomtreeviewer( QObject* parent, const char* name,
	               const QStringList & );
  virtual ~PluginDomtreeviewer();

public slots:
  void slotShowDOMTree();
};

#endif
